Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class Box.AccessibleBox

    java.lang.Object
      |
      +--javax.accessibility.AccessibleContext
            |
            +--javax.swing.Box.AccessibleBox

protected class Box.AccessibleBox
extends AccessibleContext
implements java.io.Serializable, AccessibleComponent

See Also:
  Serialized Form

Fields inherited from class javax.accessibility.AccessibleContext
`ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

Constructor Summary
`protected` | `Box.AccessibleBox()`

Method Summary
`void` | `addFocusListener(java.awt.event.FocusListener l)` Adds the specified focus listener to receive focus events from this component.
`boolean` | `contains(java.awt.Point p)` Checks whether the specified point is within this object's bounds, where the point's x and y coordinates are defined to be relative to the coordinate system of the object.
`Accessible` | `getAccessibleAt(java.awt.Point p)` Returns the Accessible child, if one exists, contained at the local coordinate Point.
`Accessible` | `getAccessibleChild(int i)` Return the nth Accessible child of the object.
`int` | `getAccessibleChildrenCount()` Returns the number of accessible children in the object.
`AccessibleComponent` | `getAccessibleComponent()` Gets the AccessibleComponent associated with this object if one exists.
`int` | `getAccessibleIndexInParent()` Gets the index of this object in its accessible parent.
`Accessible` | `getAccessibleParent()` Gets the Accessible parent of this object.
`AccessibleRole` | `getAccessibleRole()` Gets the role of this object.
`AccessibleStateSet` | `getAccessibleStateSet()` Gets the state of this object.
`java.awt.Color` | `getBackground()` Gets the background color of this object.
`java.awt.Rectangle` | `getBounds()` Gets the bounds of this object in the form of a Rectangle object.
`java.awt.Cursor` | `getCursor()` Gets the Cursor of this object.
`java.awt.Font` | `getFont()` Gets the Font of this object.
`java.awt.FontMetrics` | `getFontMetrics(java.awt.Font f)` Gets the FontMetrics of this object.
`java.awt.Color` | `getForeground()` Gets the foreground color of this object.
`java.util.Locale` | `getLocale()` Returns the locale of this object.
`java.awt.Point` | `getLocation()` Gets the location of the object relative to the parent in the form of a point specifying the object's top-left corner in the screen's coordinate space.
`java.awt.Point` | `getLocationOnScreen()` Returns the location of the object on the screen.
`java.awt.Dimension` | `getSize()` Returns the size of this object in the form of a Dimension object.
`boolean` | `isEnabled()` Determines if the object is enabled.
`boolean` | `isFocusTraversable()` Determines whether this object can accept focus or not.
`boolean` | `isShowing()` Determines if the object is showing.
`boolean` | `isVisible()` Determines if the object is visible.
`void` | `removeFocusListener(java.awt.event.FocusListener l)` Removes the specified focus listener so it no longer receives focus events from this component.
`void` | `requestFocus()` Requests focus for this object.
`void` | `setBackground(java.awt.Color c)` Sets the background color of this object.
`void` | `setBounds(java.awt.Rectangle r)` Sets the bounds of this object in the form of a Rectangle object.
`void` | `setCursor(java.awt.Cursor cursor)` Sets the Cursor of this object.
`void` | `setEnabled(boolean b)` Sets the enabled state of the object.
`void` | `setFont(java.awt.Font f)` Sets the Font of this object.
`void` | `setForeground(java.awt.Color c)` Sets the foreground color of this object.
`void` | `setLocation(java.awt.Point p)` Sets the location of the object relative to the parent.
`void` | `setSize(java.awt.Dimension d)` Resizes this object.
`void` | `setVisible(boolean b)` Sets the visible state of the object.

Methods inherited from class javax.accessibility.AccessibleContext
`addPropertyChangeListener, firePropertyChange, getAccessibleAction, getAccessibleDescription, getAccessibleName, getAccessibleSelection, getAccessibleText, getAccessibleValue, removePropertyChangeListener, setAccessibleDescription, setAccessibleName, setAccessibleParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Box.AccessibleBox

    protected Box.AccessibleBox()

Method Detail

### getAccessibleRole

    public AccessibleRole getAccessibleRole()

  Gets the role of this object.
  Returns:
    an instance of AccessibleRole describing the role of the object (AccessibleRole.FILLER)
  Overrides:
    getAccessibleRole in class AccessibleContext
  See Also:
    `AccessibleRole`

### getAccessibleStateSet

    public AccessibleStateSet getAccessibleStateSet()

  Gets the state of this object.
  Returns:
    an instance of AccessibleStateSet containing the current state set of the object
  Overrides:
    getAccessibleStateSet in class AccessibleContext
  See Also:
    `AccessibleState`

### getAccessibleParent

    public Accessible getAccessibleParent()

  Gets the Accessible parent of this object. If the parent of this object implements Accessible, this method should simply return getParent().
  Returns:
    the Accessible parent of this object -- can be null if this object does not have an Accessible parent
  Overrides:
    getAccessibleParent in class AccessibleContext

### getAccessibleIndexInParent

    public int getAccessibleIndexInParent()

  Gets the index of this object in its accessible parent.
  Returns:
    the index of this object in its parent >= 0; -1 if this object does not have an accessible parent.
  Overrides:
    getAccessibleIndexInParent in class AccessibleContext
  See Also:
    `getAccessibleParent()`

### getAccessibleChildrenCount

    public int getAccessibleChildrenCount()

  Returns the number of accessible children in the object. If all of the children of this object implement Accessible, then this method should return the number of children of this object.
  Returns:
    the number of accessible children in the object >= 0.
  Overrides:
    getAccessibleChildrenCount in class AccessibleContext

### getAccessibleChild

    public Accessible getAccessibleChild(int i)

  Return the nth Accessible child of the object.
  Parameters:
    `i` - zero-based index of child
  Returns:
    the nth Accessible child of the object, or null
  Overrides:
    getAccessibleChild in class AccessibleContext

### getLocale

    public java.util.Locale getLocale()

  Returns the locale of this object.
  Returns:
    the locale of this object
  Overrides:
    getLocale in class AccessibleContext

### getAccessibleComponent

    public AccessibleComponent getAccessibleComponent()

  Gets the AccessibleComponent associated with this object if one exists. Otherwise return null.
  Returns:
    the component
  Overrides:
    getAccessibleComponent in class AccessibleContext

### getBackground

    public java.awt.Color getBackground()

  Gets the background color of this object.
  Specified by:
    getBackground in interface AccessibleComponent
  Returns:
    the background color, if supported, of the object; otherwise, null

### setBackground

    public void setBackground(java.awt.Color c)

  Sets the background color of this object.
  Specified by:
    setBackground in interface AccessibleComponent
  Parameters:
    `c` - the new Color for the background, null if none

### getForeground

    public java.awt.Color getForeground()

  Gets the foreground color of this object.
  Specified by:
    getForeground in interface AccessibleComponent
  Returns:
    the foreground color, if supported, of the object; otherwise, null

### setForeground

    public void setForeground(java.awt.Color c)

  Sets the foreground color of this object.
  Specified by:
    setForeground in interface AccessibleComponent
  Parameters:
    `c` - the new Color for the foreground, null if none

### getCursor

    public java.awt.Cursor getCursor()

  Gets the Cursor of this object.
  Specified by:
    getCursor in interface AccessibleComponent
  Returns:
    the Cursor, if supported, of the object; otherwise, null

### setCursor

    public void setCursor(java.awt.Cursor cursor)

  Sets the Cursor of this object.
  Specified by:
    setCursor in interface AccessibleComponent
  Parameters:
    `cursor` - the new Cursor for the object, null if none

### getFont

    public java.awt.Font getFont()

  Gets the Font of this object.
  Specified by:
    getFont in interface AccessibleComponent
  Returns:
    the Font,if supported, for the object; otherwise, null

### setFont

    public void setFont(java.awt.Font f)

  Sets the Font of this object.
  Specified by:
    setFont in interface AccessibleComponent
  Parameters:
    `f` - the new Font for the object, null if none

### getFontMetrics

    public java.awt.FontMetrics getFontMetrics(java.awt.Font f)

  Gets the FontMetrics of this object.
  Specified by:
    getFontMetrics in interface AccessibleComponent
  Parameters:
    `f` - the Font
  Returns:
    the FontMetrics, if supported, the object; otherwise, null
  See Also:
    `getFont`

### isEnabled

    public boolean isEnabled()

  Determines if the object is enabled.
  Specified by:
    isEnabled in interface AccessibleComponent
  Returns:
    true if object is enabled; otherwise, false

### setEnabled

    public void setEnabled(boolean b)

  Sets the enabled state of the object.
  Specified by:
    setEnabled in interface AccessibleComponent
  Parameters:
    `b` - if true, enables this object; otherwise, disables it

### isVisible

    public boolean isVisible()

  Determines if the object is visible. Note: this means that the object intends to be visible; however, it may not in fact be showing on the screen because one of the objects that this object is contained by is not visible. To determine if an object is showing on the screen, use isShowing().
  Specified by:
    isVisible in interface AccessibleComponent
  Returns:
    true if object is visible; otherwise, false

### setVisible

    public void setVisible(boolean b)

  Sets the visible state of the object.
  Specified by:
    setVisible in interface AccessibleComponent
  Parameters:
    `b` - if true, shows this object; otherwise, hides it

### isShowing

    public boolean isShowing()

  Determines if the object is showing. This is determined by checking the visibility of the object and ancestors of the object. Note: this will return true even if the object is obscured by another (for example, it happens to be underneath a menu that was pulled down).
  Specified by:
    isShowing in interface AccessibleComponent
  Returns:
    true if object is showing; otherwise, false

### contains

    public boolean contains(java.awt.Point p)

  Checks whether the specified point is within this object's bounds, where the point's x and y coordinates are defined to be relative to the coordinate system of the object.
  Specified by:
    contains in interface AccessibleComponent
  Parameters:
    `p` - the Point relative to the coordinate system of the object
  Returns:
    true if object contains Point; otherwise false

### getLocationOnScreen

    public java.awt.Point getLocationOnScreen()

  Returns the location of the object on the screen.
  Specified by:
    getLocationOnScreen in interface AccessibleComponent
  Returns:
    location of object on screen -- can be null if this object is not on the screen

### getLocation

    public java.awt.Point getLocation()

  Gets the location of the object relative to the parent in the form of a point specifying the object's top-left corner in the screen's coordinate space.
  Specified by:
    getLocation in interface AccessibleComponent
  Returns:
    An instance of Point representing the top-left corner of the objects's bounds in the coordinate space of the screen; null if this object or its parent are not on the screen

### setLocation

    public void setLocation(java.awt.Point p)

  Sets the location of the object relative to the parent.
  Specified by:
    setLocation in interface AccessibleComponent
  Parameters:
    `p` - the location to be set

### getBounds

    public java.awt.Rectangle getBounds()

  Gets the bounds of this object in the form of a Rectangle object. The bounds specify this object's width, height, and location relative to its parent.
  Specified by:
    getBounds in interface AccessibleComponent
  Returns:
    A rectangle indicating this component's bounds; null if this object is not on the screen.

### setBounds

    public void setBounds(java.awt.Rectangle r)

  Sets the bounds of this object in the form of a Rectangle object. The bounds specify this object's width, height, and location relative to its parent.
  Specified by:
    setBounds in interface AccessibleComponent
  Parameters:
    `r` - a rectangle indicating this component's bounds

### getSize

    public java.awt.Dimension getSize()

  Returns the size of this object in the form of a Dimension object. The height field of the Dimension object contains this objects's height, and the width field of the Dimension object contains this object's width.
  Specified by:
    getSize in interface AccessibleComponent
  Returns:
    A Dimension object that indicates the size of this component; null if this object is not on the screen

### setSize

    public void setSize(java.awt.Dimension d)

  Resizes this object.
  Specified by:
    setSize in interface AccessibleComponent
  Parameters:
    `d` - - The dimension specifying the new size of the object.

### getAccessibleAt

    public Accessible getAccessibleAt(java.awt.Point p)

  Returns the Accessible child, if one exists, contained at the local coordinate Point.
  Specified by:
    getAccessibleAt in interface AccessibleComponent
  Parameters:
    `p` - The point defining the top-left corner of the Accessible, given in the coordinate space of the object's parent.
  Returns:
    the Accessible, if it exists, at the specified location; else null

### isFocusTraversable

    public boolean isFocusTraversable()

  Determines whether this object can accept focus or not.
  Specified by:
    isFocusTraversable in interface AccessibleComponent
  Returns:
    true if object can accept focus; otherwise false

### requestFocus

    public void requestFocus()

  Requests focus for this object.
  Specified by:
    requestFocus in interface AccessibleComponent

### addFocusListener

    public void addFocusListener(java.awt.event.FocusListener l)

  Adds the specified focus listener to receive focus events from this component.
  Specified by:
    addFocusListener in interface AccessibleComponent
  Parameters:
    `l` - the focus listener

### removeFocusListener

    public void removeFocusListener(java.awt.event.FocusListener l)

  Removes the specified focus listener so it no longer receives focus events from this component.
  Specified by:
    removeFocusListener in interface AccessibleComponent
  Parameters:
    `l` - the focus listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.